myproxy-change-pass-phrase(1)

NAME
myproxy-change-pass-phrase - change MyProxy passphrase

SYNOPSIS
myproxy-change-pass-phrase [ options ]

DESCRIPTION
The myproxy-change-pass-phrase command changes the passphrase under which a credential is protected in the MyProxy repository. The command first prompts for the current passphrase for the credential, then prompts twice for the new passphrase. Only the credential owner can change a credential's passphrase. The user must have a valid proxy credential as generated by grid-proxy-init or retrieved by myproxy-logon(1) when running this command.

OPTIONS

-h, --help
    Displays command usage text and exits.

-u, --usage
    Displays command usage text and exits.

-v, --verbose
    Enables verbose debugging output to the terminal.

-V, --version
    Displays version information and exits.

-s hostname[:port], --pshost hostname[:port]
    Specifies the hostname(s) of the myproxy-server(s). Multiple hostnames, each hostname optionally followed by a ':' and port number, may be specified in a comma-separated list. This option is required if the MYPROXY_SERVER environment variable is not defined. If specified, this option overrides the MYPROXY_SERVER environment variable. If a port number is specified with a hostname, it will override the -p option as well as the MYPROXY_SERVER_PORT environment variable for that host.

-p port, --psport port
    Specifies the TCP port number of the myproxy-server(8). Default: 7512

-l username, --username username
    Specifies the MyProxy account under which the credential should be stored. By default, the command uses the value of the LOGNAME environment variable. Use this option to specify a different account username on the MyProxy server. The MyProxy username need not correspond to a real Unix username.

-d, --dn_as_username
    Use the certificate subject (DN) as the default username, instead of the LOGNAME environment variable.

-k name, --credname name
    Specifies the credential name.

-S, --stdin_pass
    By default, the command prompts for a passphrase and reads the passphrase from the active tty. When running the command non-interactively, there may be no associated tty. Specifying this option tells the command to read passphrases from standard input without prompts or confirmation.

EXIT STATUS
0 on success, >0 on error

ENVIRONMENT

GLOBUS_GSSAPI_NAME_COMPATIBILITY
    This client will, by default, perform a reverse-DNS lookup to determine the FQHN (Fully Qualified Host Name) to use in verifying the identity of the server by checking the FQHN against the CN in server's certificate. Setting this variable to STRICT_RFC2818 will cause the reverse-DNS lookup to NOT be performed and the user-specified name to be used instead. This variable setting will be ignored if MYPROXY_SERVER_DN (described later) is set.

MYPROXY_SERVER
    Specifies the hostname(s) where the myproxy-server(8) is running. Multiple hostnames can be specified in a comma separated list with each hostname optionally followed by a ':' and port number. This environment variable can be used in place of the -s option.

MYPROXY_SERVER_PORT
    Specifies the port where the myproxy-server(8) is running. This environment variable can be used in place of the -p option.

MYPROXY_SERVER_DN
    Specifies the distinguished name (DN) of the myproxy-server(8). All MyProxy client programs authenticate the server's identity. By default, the MyProxy client programs expect the server to have a distinguished name with "/CN=host/<fqhn>" or "/CN=myproxy/<fqhn>" or "/CN=<fqhn>" (where <fqhn> is the fully-qualified hostname of the server). If the server is running with some other DN, you can set this environment variable to tell the MyProxy clients to accept the alternative DN. Also see GLOBUS_GSSAPI_NAME_COMPATIBILITY above.

MYPROXY_TCP_PORT_RANGE
    Specifies a range of valid port numbers in the form "min,max" for the client side of the network connection to the server. By default, the client will bind to any available port. Use this environment variable to restrict the ports used to a range allowed by your firewall. If unset, MyProxy will follow the setting of the GLOBUS_TCP_PORT_RANGE environment variable.

X509_USER_CERT
    Specifies a non-standard location for the certificate to be used for authentication to the myproxy-server(8).

X509_USER_KEY
    Specifies a non-standard location for the private key to be used for authentication to the myproxy-server(8).

X509_USER_PROXY
    Specifies a non-standard location for the proxy credential to be used for authentication to the myproxy-server(8).

X509_CERT_DIR
    Specifies a non-standard location for the CA certificates directory.

AUTHORS
See http://grid.ncsa.illinois.edu/myproxy/about for the list of MyProxy authors.

SEE ALSO
myproxy-destroy(1), myproxy-get-trustroots(1), myproxy-info(1), myproxy-init(1), myproxy-logon(1), myproxy-retrieve(1), myproxy-store(1), myproxy-server.config(5), myproxy-admin-adduser(8), myproxy-admin-change-pass(8), myproxy-admin-load-credential(8), myproxy-admin-query(8), myproxy-server(8)